Package tigase.db.beans

# Enum Class MDRepositoryBean.SelectorType

java.lang.Object
java.lang.Enum<MDRepositoryBean.SelectorType>
tigase.db.beans.MDRepositoryBean.SelectorType

All Implemented Interfaces:
  `Serializable`, `Comparable<MDRepositoryBean.SelectorType>`, `Constable`

Enclosing class:
  MDRepositoryBean<T extends DataSourceAware>

public static enum MDRepositoryBean.SelectorType extends Enum<MDRepositoryBean.SelectorType>
Determines behaviour of MDRepositoryBean.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EveryDataSource`
  Repository instances will be created for every data source.
  `EveryUserRepository`
  Repository instances will be created for every data source for which user repository exists.
  `List`
  Repository instances will be created for default data source and for data sources listed in configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MDRepositoryBean.SelectorType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MDRepositoryBean.SelectorType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### List

    public static final MDRepositoryBean.SelectorType List
    Repository instances will be created for default data source and for data sources listed in configuration.

  - ### EveryDataSource

    public static final MDRepositoryBean.SelectorType EveryDataSource
    Repository instances will be created for every data source.

  - ### EveryUserRepository

    public static final MDRepositoryBean.SelectorType EveryUserRepository
    Repository instances will be created for every data source for which user repository exists.

- ## Method Details

  - ### values

    public static MDRepositoryBean.SelectorType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MDRepositoryBean.SelectorType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null